//--------------------------------------------------------
//Code generated by Papyrus Java
//--------------------------------------------------------

package Problema1;

import java.time.LocalDate;

/************************************************************/
/**
* 
*/
public class Lote {
	/**
	 * @param numLote
	 * @param numPiezas
	 * @param fecha
	 */
	public Lote(int numLote, String numPiezas, LocalDate fecha) {
		super();
		this.numLote = numLote;
		this.numPiezas = numPiezas;
		this.fecha = fecha;
	}

	/**
	 * 
	 */
	public Lote() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * 
	 */
	private int numLote;
	/**
	 * 
	 */
	private String numPiezas;
	/**
	 * 
	 */
	private java.time.LocalDate fecha;

	/**
	 */
	public void costoProduccion() {
		
	}

	/**
	 */
	public void montoRecuperacionLote() {
	}

	/**
	 */
	public void montoRecuperacionPorPieza() {
	}

	public int getNumLote() {
		return numLote;
	}

	public void setNumLote(int numLote) {
		this.numLote = numLote;
	}

	public String getNumPiezas() {
		return numPiezas;
	}

	public void setNumPiezas(String numPiezas) {
		this.numPiezas = numPiezas;
	}

	public java.time.LocalDate getFecha() {
		return fecha;
	}

	public void setFecha(java.time.LocalDate fecha) {
		this.fecha = fecha;
	}

	@Override
	public String toString() {
		return "Lote [numLote=" + numLote + ", numPiezas=" + numPiezas + ", fecha=" + fecha + "]";
	}
	
}
